Status: Closed

Priority: High

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.8.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 20807

Description

QGIS crashes (program closes) when attempting to add a new layer from ODBC Data Base connection.

I try to establish an ODBC connection between a external database Informix and QGIS. The connection test succeeded, but take a lot of

time. And when I click to open, QGIS crash and develop me a message "volcado fallido" long time after. Attached file created .dmp.

I try to connect the same data base with eVis plugin and it works properly.

Sorry for my English

History

#1 - 2015-05-07 01:35 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Target version deleted (Version 2.8.1)

Does it happens with previous qgis releases?

#2 - 2015-05-18 07:29 AM - Joan Molinas

I tried it with version 1.8, and it works but it takes very long time. 

I've also tried with version 2.4 and does not work either. Exactly the same thing happens with version 2.8

I've also tested with another smaller database (with version 2.8), and it works but also take very long time, 15 minuts more or less.

#3 - 2015-05-18 07:58 AM - Joan Molinas

And by de eVis plugin opens the list table more or less instantaneously (with two databases).

#4 - 2015-06-03 01:44 PM - Jürgen Fischer

- Category set to Data Provider/OGR

#5 - 2015-12-20 09:21 AM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2017-03-07 10:14 AM - Giovanni Manghi

- Status changed from Open to Feedback
If anyway will provide me a way to test odbc connections with real daya I will be happy to test.

I tried with a PostgreSQL OBDC connection, and was slow, but no crashes on 2.18.4.

#7 - 2017-04-29 05:40 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

2024-03-20 2/2


